from sqlalchemy import Column, Integer, String, DateTime, func, ForeignKey
from app import db
from sqlalchemy.ext.declarative import declarative_base

Base: declarative_base = db.Model
class Patient(Base):
    __tablename__ = "patients"
    patient_id = Column(Integer, primary_key=True)
    patient_name = Column(String, nullable=True)
    logo = Column(String, nullable=True)
    logo_id = Column(String, nullable=False, default=0)
    gender = Column(String, nullable=True)
    dob = Column(DateTime, nullable=True)
    site_id = Column(Integer, ForeignKey('sites.site_id'))
    device_id = Column(Integer, nullable=False)
    created_at = Column(DateTime(timezone=True), default=func.now())
    updated_at = Column(DateTime(timezone=True), default=func.now())

class ImgLogo(Base):
    __tablename__ = "patient_staff_logo"
    id = Column(Integer, primary_key=True)
    logo = Column(String, nullable=True)
    logo_content_type = Column(String, nullable=True)
    created_at = Column(DateTime(timezone=True), default=func.now())
    updated_at = Column(DateTime(timezone=True), default=func.now())